Package net.md_5.bungee.api.event

# Enum ServerKickEvent.State

java.lang.Object
java.lang.Enum<ServerKickEvent.State>
net.md_5.bungee.api.event.ServerKickEvent.State

All Implemented Interfaces:
  `Serializable`, `Comparable<ServerKickEvent.State>`

Enclosing class:
  ServerKickEvent

public static enum ServerKickEvent.State extends Enum<ServerKickEvent.State>

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONNECTED`
  `CONNECTING`
  `UNKNOWN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ServerKickEvent.State`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ServerKickEvent.State[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONNECTING

    public static final ServerKickEvent.State CONNECTING

  - ### CONNECTED

    public static final ServerKickEvent.State CONNECTED

  - ### UNKNOWN

    public static final ServerKickEvent.State UNKNOWN

- ## Method Details

  - ### values

    public static ServerKickEvent.State[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ServerKickEvent.State valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null